import { ContainerProperties, ContainerRef } from '@react-three/uikit';
import { ReactNode, RefAttributes } from 'react';
declare const alertVariants: {
    default: {};
    destructive: {
        borderColor: import("@preact/signals-core").ReadonlySignal<import("three").Color>;
        borderOpacity: number;
        color: import("@preact/signals-core").ReadonlySignal<import("three").Color>;
    };
};
export type AlertProperties = ContainerProperties & {
    variant?: keyof typeof alertVariants;
};
export declare const Alert: (props: AlertProperties & RefAttributes<ContainerRef>) => ReactNode;
export type AlertIconProperties = ContainerProperties;
export declare const AlertIcon: (props: AlertIconProperties & RefAttributes<ContainerRef>) => ReactNode;
export type AlertTitleProperties = ContainerProperties;
export declare const AlertTitle: (props: AlertTitleProperties & RefAttributes<ContainerRef>) => ReactNode;
export type AlertDescriptionProperties = ContainerProperties;
export declare const AlertDescription: (props: AlertDescriptionProperties & RefAttributes<ContainerRef>) => ReactNode;
export {};
